明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

分享 读取CASS DAT文件转换为点表
13648893846 2018-8-18 23:08
;; 读取CASS DAT文件转换为点表 ;; (LC:read-CASS-dat-list) ;; BY 老仓测绘上班记 (defun LC:read-CASS-dat-list (/ FILE PTSLST STRLENGTH I F1 STR1 STRLST) (setq FILE (getfiled "选择原始地貌.dat文件" "" "dat" 4)) (setq ptslst '() strlength (length str ...
3 次阅读|0 个评论
分享 点到曲线的垂直距离及曲线起点至指定点到曲线垂点的距离(曲线长)
13648893846 2018-8-16 19:52
;; 曲线起点至指定点到曲线垂点的距离(曲线长) ;; (LC:starting-pointpt-curveFootdist (car(entsel "\n 请选择曲线:")) (getpoint "\n 请选择线外一点:")) ;; BY 老仓测绘上班记 (defun LC:starting-pointpt-curveFootdist (EN PT / POINTCURVEDIST) (setq pointcurvedist (vlax-curve-getD ...
9 次阅读|0 个评论
分享 三点生成与之相切圆弧并标注参数
13648893846 2018-8-6 22:53
;; 三点生成与之相切圆弧并标注参数 ;; (LC:3pt-MAKARC-Label (getpoint "\n 请输入第一点") (getpoint "\n 请输入顶点") (getpoint "\n 请输入第三点") (getreal "\n 请输入半径: ")) ;;;(LC:3pt-MAKARC-Label (getpoint "\n 请输入第一点") (getpoint "\n 请输入顶点") (getpoint "\n 请输入第三点") 55.790 ...
58 次阅读|0 个评论
分享 生成带凸度多段线
13648893846 2018-8-6 20:30
;; 生成带凸度多段线 ;; (LC:make-arcpline (getpoint "\n 请输入圆弧第一点:") (getpoint "\n 请输入圆弧第二点:") (getreal "\n 请输入圆弧凸度:")) ;; BY 老仓测绘上班记 ;;;(setq pt1 (getpoint "\n 请输入圆弧第一点:") ;;; pt2 (getpoint "\n 请输入圆弧第二点:") ;;;  ...
60 次阅读|0 个评论
分享 entmake画Pline 用于需要的地方
jicqj 2018-8-2 23:10
(defun c:mpl() (my-drawPLine) ) (defun draw-Pline( lst w / pt ) (entmake (append (list '(0 . "LWPOLYLINE") '(100 . "AcDbEntity")   ...
59 次阅读|0 个评论
分享 获取曲线上指定两点距离
13648893846 2018-7-30 20:31
;; 获取曲线上指定两点距离 ;; (LC:curve-length (car(entsel "\n 选择曲线: ")) (getpoint "\n 选择曲线上第一点: ") (getpoint "\n 选择曲线上第二点: ")) ;; 老仓测绘上班记 (defun LC:curve-length (en p1 p2 / en p1 p2) (if (and en p1 p2) (abs (- (vlax-curve-getDistAtPoint en (vlax-curve-getclos ...
78 次阅读|0 个评论
分享 ks字符串表达式计算求值.lsp
xiaomm250 2018-7-2 13:37
(vl-load-com) ;来源 ;http://bbs.mjtd.com/forum.php?mod=viewthreadtid=107935highlight=cal%2B%BC%C6%CB%E3 ;计算数学表达式,返回实数 ;这个无法在64bit的CAD上使用,为什么? (defun MyCal (express / STR wscript) (setq str (strcat "dim ret \n ret=" express)) (setq wscript (vl ...
122 次阅读|0 个评论 热度 1

本页有 3 篇日志因作者的隐私设置或未通过审核而隐藏

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-8-19 12:02 , Processed in 0.059390 second(s), 11 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

返回顶部